/// <reference types="pcore-pconnect-typedefs" />
import { ElementRef, OnInit, Renderer2, ChangeDetectorRef, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class OperatorComponent implements OnInit, OnChanges, OnDestroy {
    private el;
    private renderer;
    private cdRef;
    private utils;
    pConn$: typeof PConnect;
    fields$: any[];
    bShowPopover$: boolean;
    date$: string;
    name$: string;
    label$: string;
    id$: string;
    constructor(el: ElementRef, renderer: Renderer2, cdRef: ChangeDetectorRef, utils: Utils);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    updateSelf(): void;
    showOperator(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperatorComponent, "app-operator", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
